<p align="center">
	<h1 align="center">Git Cheats • <i>Interactive Git Cheatsheet</i></h1>
</p>
<p align="center">
<b>Git Cheats</b> aims to ease the pain while transitioning from sluggish GUI clients to blazing-fast terminal commands
</p>

<p align="center">
    <img src=".github/splash.png">
</p>


## Online
You can find and bookmark the online version from [git-cheats.vercel.app](https://git-cheats.vercel.app)

## Local
1. Clone this repository
2. Run `yarn` to install dependencies
3. Run `yarn dev` to start server

## How To Contribute
Please feel free to contribute any way you can. Just keep in mind that you should pay attention to [CONTRIBUTE.md](.github/CONTRIBUTING.md) before contributing.

That being said, you can;
* Create issues for feature requests and issues
* Create pull requests for any fixes / additions
* Create pull requests for localizations

## Technology
- Hosted on [Vercel](https://vercel.com/) &hearts;
- [Bootstrap](https://getbootstrap.com/)
- [Next.js](https://nextjs.org/) 
- [React](https://reactjs.org/)
- [SWR](https://swr.vercel.app/)

You can find the rest in [package.json](package.json)


## License
This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details.

## Other Useful Projects
If you think there should be more, please create an issue labeled as `enhancement` and give direct link to the project.
* [Git Init](https://pel-daniel.github.io/git-init) - Great learning tool for learning how to use commands
* [Git - The Simple Guide](https://rogerdudler.github.io/git-guide) - Simple guide for getting started with git
* [Learn Git Branching](https://learngitbranching.js.org) - Learn how to use branches properly